/**
 * \file mi32/doubleclicktest.h
 * \brief DOUBLECLICKTEST class defns
 *
 * \if NODOC
 * $Id: doubleclicktest.h_v 1.1 2006/09/20 16:43:38 mju Exp $
 *
 * $Log: doubleclicktest.h_v $
 * Revision 1.1  2006/09/20 16:43:38  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_DOUBLECLICKTEST_H
#define	INC_MI32_DOUBLECLICKTEST_H

#ifndef	INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

#ifndef	INC_MI32_XBASE_H
#include <mi32/xbase.h>
#endif


class DOUBLECLICKTEST {
	public:

		//! Constructor
		DOUBLECLICKTEST (
			):
			m_State(0),
			m_Interval(400),
			m_StartTime(0)
			{ }

		//! Destructor
		~DOUBLECLICKTEST (
			) { }

		//! Reset to initial state
		void Reset (
			) { m_State = 0; }

		//! Set interval
		void SetInterval (
			INT32 Interval							//!< Interval in milliseconds
			) { m_Interval = Interval; }

		//! Test if event results in double-click
		bool TestEvent (
			const XEvent *event					//!< Event to check
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		UINT8 m_State;				//!< State for double-click testing
		INT32 m_Interval;			//!< Interval in milliseconds
		UINT32 m_StartTime;		//!< Starting event time
		#endif // GENERATING_DOXYGEN_OUTPUT
	};


#endif	// INC_MI32_DOUBLECLICKTEST_H

