/**
 * \file rvc/lyttmplt.h 
 * \brief interface for the RVC::LAYOUTTEMPLATE class.
 *
 * \if NODOC
 * $Id: lyttmplt.h_v 1.8 2006/09/08 19:28:19 scowan Exp $
 *
 * $Log: lyttmplt.h_v $
 * Revision 1.8  2006/09/08 19:28:19  scowan
 * Change enum from serialize to its own enum.
 *
 * Revision 1.7  2005/06/30 21:02:03  scowan
 * Added makeparms.
 *
 * Revision 1.6  2003/10/07 17:32:22  scowan
 * Object virtual method changes.
 *
 * Revision 1.5  2003/09/30 16:52:06  dwilliss
 * Doxygen
 *
 * Revision 1.4  2003/09/25 21:20:04  dwilliss
 * Fixed doxygen comment
 *
 * Revision 1.3  2003/09/15 13:49:45  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.2  2001/06/15 17:46:47  scowan
 * Added to RVC namespace.
 *
 * Revision 1.1  2000/11/29 17:29:41  scowan
 * Initial revision
 *
 * \endif
**/

//!
//!	\class RVC::LAYOUTTEMPLATE rvc/lyttmplt.h
//!	\brief Manages RVC::OBJTYPE_LayoutTemplate objects.
//!
//!	RVC Object Types that this class supports: RVC::OBJTYPE_LayoutTemplate
//!
//!	Default RVC Object Type for this class: RVC::OBJTYPE_LayoutTemplate
//!
//!	Valid parents for this class:
//!		- RVC::OBJTYPE_File
//!		- RVC::OBJTYPE_Folder

#ifndef INC_RVC_LYTTMPLT_H
#define INC_RVC_LYTTMPLT_H

#ifndef INC_RVC_SERIALZE_H
	#include <rvc/serialze.h>
#endif

namespace RVC {

class LAYOUTTEMPLATE : public RVC::SERIALIZE {
	public:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class MAKEPARMS;
		#endif

		//! Default constructor
		LAYOUTTEMPLATE (
			);

		//! Copy constructor
		LAYOUTTEMPLATE (								//! Copy Constructor
			const RVC::LAYOUTTEMPLATE& obj
			);

		//! Destructor
		virtual ~LAYOUTTEMPLATE (
			);

		//! Assignment
		RVC::LAYOUTTEMPLATE& operator= (
			const RVC::LAYOUTTEMPLATE& rhs
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		//! Implementation of RVC::OBJECT virtual methods
		virtual OBJTYPE v_GetDftObjectType () const;
		#endif // GENERATING_DOXYGEN_OUTPUT
	};


class LAYOUTTEMPLATE::MAKEPARMS : public SERIALIZE::MAKEPARMS {
	public:
		MAKEPARMS (
			UINT16 Version = 1				 			//!< Version number to assign to new object
			) : SERIALIZE::MAKEPARMS(RVC::OBJTYPE_LayoutTemplate, Version, RVC::OBJTYPE_All, DISPPARMUSAGE_Display)
			{}
	};			

}		//! End of RVC namespace

#endif 	//!< INC_RVCLAYOUTTEMPLATE_H
