/**
 * \file soa/uidownload.h
 * \brief SOA User Interface for downloading
 *
 * \if NODOC
 * $Id: uidownload.h_v 1.2 2007/09/12 19:19:35 dwilliss Exp $
 *
 * $Log: uidownload.h_v $
 * Revision 1.2  2007/09/12 19:19:35  dwilliss
 * Added overloaded method that takes an XML body for the request
 *
 * Revision 1.1  2007/04/12 17:47:09  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_SOA_UIDOWNLOAD_H
#define	INC_SOA_UIDOWNLOAD_H

#ifndef	INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif


class HTTPMESSAGE;
class MISTRING;
class XMLDOC;

namespace SOA {

//! Display status/progress dialog while downloading to HTTPMESSAGE result.
//! Note, if want to put result in a file, use SetDestFile on result before calling.
ERRVALUE DlgDownloadHTTP (
	MDLGPARENT dlgparent,				//!< Parent for status/progress dialog
	const MISTRING& msg,					//!< Message to display in status dialog
	const MISTRING& url,					//!< URL/path
	HTTPMESSAGE& result					//!< Result returned
	);

//! Display status/progress dialog while downloading to HTTPMESSAGE result.
//! Note, if want to put result in a file, use SetDestFile on result before calling.
ERRVALUE DlgDownloadHTTP (
	MDLGPARENT dlgparent,				//!< Parent for status/progress dialog
	const MISTRING& msg,					//!< Message to display in status dialog
	const MISTRING& url,					//!< URL/path
	const XMLDOC& RequestBody,			//!< Request XML
	HTTPMESSAGE& result					//!< Result returned
	);

}	// End namespace SOA

#endif	INC_SOA_UIDOWNLOAD_H
