/**
 * \file logicalop.h <spatmod/logicalop.h>
 * \brief Definitions for LOGICALOP enum.
 *
 * \if NODOC
 * $Id: logicalop.h_v 1.1 2005/08/16 15:11:19 mju Exp $
 *
 * $Log: logicalop.h_v $
 * Revision 1.1  2005/08/16 15:11:19  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_SPATMOD_LOGICALOP_H
#define	INC_SPATMOD_LOGICALOP_H

namespace SPATMOD {

//! Logical operations.
enum LOGICALOP {
	LOGICALOP_False,				//!< False/0
	LOGICALOP_True,				//!< True/nonzero
	LOGICALOP_Not,					//!< Negation
	LOGICALOP_And,					//!< Intersection
	LOGICALOP_Or,					//!< Union
	LOGICALOP_Xor,					//!< Exclusive union
	};

}	// End namespace SPATMOD

#endif	// INC_SPATMOD_LOGICALOP_H
